Upgrade from 1.5.1 to 1.7.0

Requests, feedback, and general discussion about WoWRoster
DO NOT post topics about WoWRoster AddOns here!

Upgrade from 1.5.1 to 1.7.0

Postby enutt » Thu Jul 06, 2006 10:46 am

We will be upgrading our guild website from WR 1.5.1 to 1.7.0 this weekend and I would like to know what the preferred method is for accomplishing this. Is it possible to do an "in place" upgrade without deleting the 1.5.1 installation? Or do we need to kill off the 1.5.1 files and delete the roster databae from mySQL before loading 1.7.0?

I lok forward to whatever assistance you can provide, especially if you have done this upgrade already.
enutt
WR.net Apprentice
WR.net Apprentice
 
Posts: 2
Joined: Wed Jul 05, 2006 11:02 am

Upgrade from 1.5.1 to 1.7.0

Postby zanix » Thu Jul 06, 2006 11:04 am

Short answer, no, you cannot upgrade 1.5.1 to 1.7.0
In fact, you can't upgrade 1.5.1 to 1.6.0 (the version previous to 1.7.0)

There were many database changes from 1.5.1 to 1.6.0 that any data still in the db made serious errors in 1.6.0

Changes in PvPlog also made an upgrade not possible, as PvPLog almost completely changed its data format
Last edited by zanix on Thu Jul 06, 2006 11:04 am, edited 1 time in total.
Read the Forum Rules, the WiKi, and Search before posting!
WoWRoster v2.1 - SigGen v0.3.3.523 - WoWRosterDF
User avatar
zanix
Admin
Admin
WoWRoster.net Dev Team
WoWRoster.net Dev Team
UA/UU Developer
UA/UU Developer
 
Posts: 5543
Joined: Mon Jul 03, 2006 8:29 am
Location: Idaho Falls, Idaho
Realm: Doomhammer (PvE) - US

Re: Upgrade from 1.5.1 to 1.7.0

Postby Cigaro » Thu Jul 06, 2006 1:56 pm

Hi,
At the moment we're using Roster 1.6.0 and want to upgrade to 1.7.0. Can Sombody explain me how to do that?

Thank you
User avatar
Cigaro
WR.net Apprentice
WR.net Apprentice
 
Posts: 3
Joined: Thu Jul 06, 2006 1:42 pm

Re: Upgrade from 1.5.1 to 1.7.0

Postby ScratchMonkey » Thu Jul 06, 2006 5:24 pm

Cigaro wrote:At the moment we're using Roster 1.6.0 and want to upgrade to 1.7.0. Can Sombody explain me how to do that?


First, take a backup. Second, take a backup.

Now, install 1.7.0 over the top of 1.6.0. Load the upgrade page into your web browser. Read the file install.txt in the distribution for details.
User avatar
ScratchMonkey
WR.net Expert
WR.net Expert
 
Posts: 212
Joined: Wed Jul 05, 2006 4:32 pm
Location: San Pablo, CA

Re: Upgrade from 1.5.1 to 1.7.0

Postby ScratchMonkey » Thu Jul 06, 2006 5:57 pm

Cigaro wrote:At the moment we're using Roster 1.6.0 and want to upgrade to 1.7.0. Can Sombody explain me how to do that?


Read the file install.txt in the distribution for details.
User avatar
ScratchMonkey
WR.net Expert
WR.net Expert
 
Posts: 212
Joined: Wed Jul 05, 2006 4:32 pm
Location: San Pablo, CA

Upgrade from 1.5.1 to 1.7.0

Postby ScratchMonkey » Thu Jul 06, 2006 6:05 pm

Ok, how do I delete a post? I kept getting a forum DB error and thought I wasn't posting. I don't see the delete button on either my post or in the Edit form.

Edit: And when I posted this reply, I got the same message. But I only see it with this thread, not with several other threads I've replied to.
Last edited by ScratchMonkey on Thu Jul 06, 2006 6:06 pm, edited 1 time in total.
User avatar
ScratchMonkey
WR.net Expert
WR.net Expert
 
Posts: 212
Joined: Wed Jul 05, 2006 4:32 pm
Location: San Pablo, CA

Upgrade from 1.5.1 to 1.7.0

Postby ThePrimaryDave » Thu Jul 06, 2006 10:53 pm

I've been seeing that, too. Next to the "Quote" box on the right, there's an "X" box. Click that on your own posts to delete. (I just had to do that myself when, in another thread, I got a database error, but it still posted.)
ThePrimaryDave
WR.net Apprentice
WR.net Apprentice
 
Posts: 64
Joined: Wed Jul 05, 2006 9:45 pm
Location: Central Coast of CA

Re: Upgrade from 1.5.1 to 1.7.0

Postby ScratchMonkey » Fri Jul 07, 2006 12:55 am

ThePrimaryDave wrote:I've been seeing that, too. Next to the "Quote" box on the right, there's an "X" box. Click that on your own posts to delete. (I just had to do that myself when, in another thread, I got a database error, but it still posted.)


I don't see the "X". I see Quote, Edit, and "!" (report) buttons. Maybe a forum skin issue?
User avatar
ScratchMonkey
WR.net Expert
WR.net Expert
 
Posts: 212
Joined: Wed Jul 05, 2006 4:32 pm
Location: San Pablo, CA

Upgrade from 1.5.1 to 1.7.0

Postby ScratchMonkey » Fri Jul 07, 2006 12:58 am

Ah, I see the X on the most recent post. Apparently one can't delete posts older than some age, and I failed to see the double-post before the timer expired.

I tend to read huge numbers of posts at once, on multiple forums, plus email, in lots of different windows. So by the time I noticed the double-post, my delete timer had already expired.

Curious that I can edit an ancient post, but I can't delete it.
User avatar
ScratchMonkey
WR.net Expert
WR.net Expert
 
Posts: 212
Joined: Wed Jul 05, 2006 4:32 pm
Location: San Pablo, CA

Upgrade from 1.5.1 to 1.7.0

Postby ThePrimaryDave » Fri Jul 07, 2006 1:41 am

Also possible that you can't delete something that has a reply after it.
ThePrimaryDave
WR.net Apprentice
WR.net Apprentice
 
Posts: 64
Joined: Wed Jul 05, 2006 9:45 pm
Location: Central Coast of CA

Re: Upgrade from 1.5.1 to 1.7.0

Postby enutt » Fri Jul 07, 2006 5:34 pm

Thanks for the reply. Looks like we are going to have to go back to a completely new install.
enutt
WR.net Apprentice
WR.net Apprentice
 
Posts: 2
Joined: Wed Jul 05, 2006 11:02 am


Return to General Support & Feedback

Who is online

Users browsing this forum: No registered users and 0 guests

cron